#version 330 core

layout(location=0) in vec3 position;
layout(location=1) in vec2 vTexcoord;

out vec2 fTexcoord;

uniform mat4 model;

void main(void) {
	gl_Position = vec4(position.x, position.y, 0.0, 1.0);
	fTexcoord = vTexcoord;
	//fTexcoord = vec2((position.x + 1.0) / 2.0, 1.0 - (position.y + 1.0) / 2.0);	
}